function reinitialization(target) {
    // Уничтожает все внешние файлы загруженные внутри блока с переданным ID и загружает их в <head> и <body>

    if (target !== undefined) {
        // Цель обозначена

        let links = target.getElementsByTagName('link');
        let scripts = target.getElementsByTagName('script');

        // Запись CSS
        for (link of links) {
            new_link = document.createElement("link");
            new_link.href = link.href;
            new_link.rel = "stylesheet";
            document.getElementsByTagName("head")[0].appendChild(new_link);
            link.remove();
        };

        // Запись JS
        for (script of scripts) {
            if (script.getAttribute('src') !== null) {
                new_script = document.createElement("script");
                new_script.src = script.src;
                document.getElementsByTagName("body")[0].appendChild(new_script);
            } else {
                eval(script.innerText);
            };

            // script.remove(); По каким-то причинам не работает, надо бы доделать
        };

        return true;
    };

    return false;
};

new MutationObserver(function () {
    reinitialization(document.getElementsByTagName('main')[0]);
}).observe(
    document.getElementsByTagName('main')[0],
    {
        childList: true,
    }
);
